pendragonuk

Unable to start game since Apex

30 posts in this topic

I have not been able to get the game to run since the release of Apex. Quite some time back I pre-purchased Apex back when I was still running Windows on a second partition. Since then I have gone 100% Linux and I would like to play ArmA3.

 

 

 

 

Image of the first error IzIVogc.png

 

Second error 74YpDjQ.png

 

Link to debug file https://docs.google.com/document/d/1U5sKD-nS1xO02YwwGwonkNHTx6mXSUmbHsUnewFge3U/edit?usp=sharing

Share this post


Link to post
Share on other sites

Seems like ArmA runs with  expansion  addon enabled. Try forcing no-mod run with  -mod=""  launch option. Apex is not available for Linux/Mac ports yet.

 

UPD.

OR, alternatively, use  -world="Altis"  instead of  -mod="". Most likely you will have first error, but not the second; also you will probbaly get to main menu, then go to Configure -> Expansions menu end try to disable "expansion" there.

Edited by pedeathtrian
plain wrong
1 person likes this

Share this post


Link to post
Share on other sites

Adding -world="Altis" was enough to have the game start and run. It would appear that once you load the game with the old "world" that is enough to get over the issues I was having. 

 

So thank you very much for your help.

 

If this thread could be marks as solved it might help others in the same situation.

Share this post


Link to post
Share on other sites

Apex is out, but the (second) problem still persists, it's only version 72 now, not 71.

s5weRpp.png

 

That is, Tanoa is not playable on legacy ports. We still require -world=... option to start the game.

Other than Tanoa, update is playable, I could use new weapons in Virtual Arsenal, etc.

 

If required, rpt-file, crash report, crashdump (.dmp) and .bidmp files are available in archive.

Share this post


Link to post
Share on other sites

I've had no issues with Apex since 1.64. Tanoa, campaign, weapons, vehicles all work. Have you tried verifying the cache?

 

1 person likes this

Share this post


Link to post
Share on other sites
Just now, GBee2 said:

I've had no issues with Apex since 1.64. Tanoa, campaign, weapons, vehicles all work. Have you tried verifying the cache?

 

Yes, verified the cache before reporting. Started without mods.

Share this post


Link to post
Share on other sites

Receive the same error as pedeathtrian here (Bad version 72 in p3d file 'a3\vegetation_f_exp\clutter\grass\c_grassbunch_hi.p3d'). Tried verifying the cache and also a total reinstall.

 

Edit:

Forcing no-mod run with -mod="" did nothing, but using -world="Altis" (as pedeathtrian suggested) let me open the game. Unfortunately nothing is playable and I cannot disable "Arma 3 Apex", the disable button is greyed out. Selecting "Arma 3 Apex" and hitting enter gives me the option to restart the game to apparently apply changes, but it does not disable Apex.

Edited by Servoll

Share this post


Link to post
Share on other sites

Same issue here on Linux Ubuntu 16.04.

Please devs, fix the issue so that I can play APEX and continue playing with vanilla Arma III :-) !

 

Share this post


Link to post
Share on other sites

Ugh, ok. I made Tanoa great again.

In Steam I opted Arma 3 to legacyports branch (using Arma3LegacyPorts as password) -- something I never did since first installed legacy port client (though I did it for dedicated server) in September of 2015 -- had to redownload some 4.7 gigs, then everything worked like a charm.

1 person likes this

Share this post


Link to post
Share on other sites
2 hours ago, pedeathtrian said:

then everything worked like a charm.

Perhaps dumb question, but you mean Tanoa worked? If so, I bet the assets were binarized using the older version instead of 72, back then. 

Share this post


Link to post
Share on other sites
9 minutes ago, Jack Rabbit Slim Shady said:

Perhaps dumb question, but you mean Tanoa worked? If so, I bet the assets were binarized using the older version instead of 72, back then. 

Yes, Tanoa worked. Campaign missions start, editor opens Tanoa, etc.

1 person likes this

Share this post


Link to post
Share on other sites

Some older related post and replies to it: this and this.

 

From https://dev.arma3.com/ports:

Quote

Limited User-Generated Content compatibility - custom scenarios and mods technically can work in the ports, but it is likely their authors will pursue compatibility with the primary Windows version instead.

It's not that mods authors pursue compatibility with Windows only, but more like BIS pursue compatibility of their tools with Windows version of Arma only, so that not only modders' content is incompatible with legacy ports, but even their (BIS) own content is incompatible too! Modders have little to no control of compatibility there.

 

From https://dev.arma3.com/ports:

Quote

If you own Arma 3 and install it on Linux or Mac, Steam will download the data for those platforms. No special Steam branch needs to be selected.

Assuming branch is not meant to be used at all, I hope non-branch Apex content gets fixed soon.

Share this post


Link to post
Share on other sites
16 hours ago, pedeathtrian said:

Ugh, ok. I made Tanoa great again.

In Steam I opted Arma 3 to legacyports branch (using Arma3LegacyPorts as password) -- something I never did since first installed legacy port client (though I did it for dedicated server) in September of 2015 -- had to redownload some 4.7 gigs, then everything worked like a charm.

 

This worked for me too and seems to be the best workaround while we wait for a solution. Thank you pedeathrian, you're lifesaver!

1 person likes this

Share this post


Link to post
Share on other sites

Hello,

I am using AMD open source drivers under Ubuntu and Arma 3 starts, but crashes before I can get to the main menu (I still see the intro). Is there any way for me to fix this?

Unfortunately I cannot find any crash dump in the Arma folder but I reported the problem using the dialog.

 

PS: using the developer branch brings me to the main menu but starting a game crashes when I continue after the "briefing map"...

 

When starting the game from console it gives me the following:

 

libpng warning: iCCP: known incorrect sRGB profile
*** BREAKPAD CRASH ***
Handling crash report for AppID: com.bohemiainteractive.arma3
Loaded libcurl: libcurl.so.4
libcurl version: libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.8 libidn/1.32 librtmp/2.3
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
 

 

I don't know what this means...

 

Thanks!

Edited by Martinuschka

Share this post


Link to post
Share on other sites
4 hours ago, Martinuschka said:

When starting the game from console it gives me the following:

 

libpng warning: iCCP: known incorrect sRGB profile
*** BREAKPAD CRASH ***
Handling crash report for AppID: com.bohemiainteractive.arma3
Loaded libcurl: libcurl.so.4
libcurl version: libcurl/7.47.0 OpenSSL/1.0.2g zlib/1.2.8 libidn/1.32 librtmp/2.3
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
 

 

I don't know what this means...

 

This contains no useful information about your problem. See details of your crash report (in crash report dialog).

Share this post


Link to post
Share on other sites

Pedeathtrian, stopped back in to thank you for the great quick fix! Hopefully BI fixes the .P3d issue, as it has been effecting numerous recent mods for me for a while now.

Share this post


Link to post
Share on other sites

Sorry!

 

The last lines of the crash report which have some kind of google suggestions are the following:

 

[thread 00000004][W][53911]: eON_GetProcAddress() for module 0x400000, in PE file 'Arma3Retail_DX11.exe' FAILED. Proc not found at name '_OPENSSL_isservice'.
[thread 00000012][E][54632]: Program from shader GL_FRAGMENT_SHADER with length 43353 and CRC 0x1aa62d1e has not been successfully linked. Program info log:
error: Too many fragment shader texture samplers

 

Edit:

Disabling the shadows makes me play the game but is not good in a military simulation.

 

Edited by Martinuschka

Share this post


Link to post
Share on other sites
9 hours ago, Martinuschka said:

error: Too many fragment shader texture samplers

 

If you have AMD graphics and OSS drivers, upgrading mesa will fix this.

 

Share this post


Link to post
Share on other sites

I'm experiencing the same thing on two computers.

So far the two workarounds that stuck where to either use Dev branch in steam (Which downgrades to 1.58), or to set -world=empty, and not load any Apex assets or levels.

Edit:

Loading Apex assets in Altis, or Stratis doesn't cause problems, but if I try to Load Tanoa the instance freezes.

Edited by UrstMcRedHead

Share this post


Link to post
Share on other sites
On 25.12.2016 at 1:22 AM, UrstMcRedHead said:

... use Dev branch ...

It's not dev branch you use, it's legacyports one. Access code Arma3LegacyPorts

Share this post


Link to post
Share on other sites

I have the same problem for 2 days i bought the apex expansion and it shows Bad version 72 in p3d file 'a3\vegetation_f_exp\clutter\grass\c_grassbunch_hi.p3d'

Share this post


Link to post
Share on other sites

By the way, how do you start the Apex DLC under Linux? I bought it but Steam does not download additional files and in the games library there is no DLC section where I could check or uncheck a DLC (and no DLC tab under Properties). Do I have to select a specific Branch in order to use the Apex DLC?

Share this post


Link to post
Share on other sites

 

On 12/25/2016 at 5:13 PM, pedeathtrian said:

It's not dev branch you use, it's legacyports one. Access code Arma3LegacyPorts

 

That code doesn't work.

Also DevBranch has never acted like a legacyports option in Linux as far as I can remember until now.

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now